/*
package cn.estsh.i3plus.ext.mes.pcn.apiservice.serviceimpl.step;

import akka.actor.ActorRef;
import akka.actor.ActorSystem;
import cn.estsh.i3plus.ext.mes.pcn.api.busi.IMesProductionDispatchContextStepService;
import cn.estsh.i3plus.ext.mes.pcn.api.busi.IMesProductionProcessContextStepService;
import cn.estsh.i3plus.ext.mes.pcn.pojo.context.MesProductionProcessContext;
import cn.estsh.i3plus.ext.mes.pcn.pojo.context.MesProductionPsOutContext;
import cn.estsh.i3plus.mes.pcn.serviceimpl.fsm.BaseStepService;
import cn.estsh.i3plus.platform.common.convert.ConvertBean;
import cn.estsh.i3plus.pojo.base.codemaker.SnowflakeIdMaker;
import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import cn.estsh.i3plus.pojo.mes.bean.MesProductionRecord;
import cn.estsh.i3plus.pojo.mes.bean.MesWorkCell;
import cn.estsh.i3plus.pojo.mes.model.StationRequestBean;
import cn.estsh.i3plus.pojo.mes.model.StationResultBean;
import cn.estsh.i3plus.pojo.mes.model.StepResult;
import cn.estsh.i3plus.pojo.mes.util.MesExtEnumUtil;
import com.google.common.base.Objects;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

*/
/**
 * @Description : 保存装配件
 * @Author : zxw
 **//*

@Slf4j
@Service
public class MesSaveAssemblyStepService extends BaseStepService {
    @Autowired
    private SnowflakeIdMaker snowflakeIdMaker;

    @Autowired
    private ActorSystem actorSystem;

    @Autowired
    private IMesProductionProcessContextStepService productionProcessContextStepService;

    @Autowired
    private MesVariableWhenFinishedReadStepService mesVariableWhenFinishedReadStepService;

    @Autowired
    private MesMouldRecordGenerateStepService mesMouldRecordGenerateStepService;

    @Autowired
    private MesProductSnSaveStepService MesProductSnSaveStepService;

    @Autowired
    private MesProductionReocrdGenerateStepService mesProductionReocrdGenerateStepService;

    @Autowired
    private IMesProductionDispatchContextStepService mesProductionDispatchContextStepService;

    @Autowired
    private MesProductResultErrorHandleStepService mesProductResultErrorHandleStepService;

    @Autowired
    private MesReportGenerateStepService mesReportGenerateStepService;

    public static final String ORDER_NO_JIS_SORT = "ORDER_NO_JIS_SORT";

    private static final Map<String, ActorRef> refMap = new ConcurrentHashMap<>(200);

    @Override
    public StepResult execute(StationRequestBean reqBean) {
        StationResultBean resultBean = new StationResultBean();

        StepResult stepResult = StepResult.getSuccessComplete();
        */
/**
         * 获取上下文
         *//*

        MesProductionProcessContext productionProcessContext = productionProcessContextStepService.getEquipmentVariableList(reqBean, MesExtEnumUtil.EQUIP_VARIABLE_TYPE.PRODUCTION.getValue());
        MesWorkCell mesWorkCell = productionProcessContext.getWorkCell();

        List<MesProductionPsOutContext> mesProduceSnContexts = mesProductionDispatchContextStepService.getProductionPsOutContext(reqBean);

        List<MesProductionRecord> mesProductionRecords = new ArrayList<>();
        mesProduceSnContexts.forEach(mesProductionPsOutContext -> {

            MesProductionRecord mesProductionRecord = getMesProductionRecord(productionProcessContext, mesProductionPsOutContext, reqBean);
            ConvertBean.serviceModelInitialize(mesProductionRecord, reqBean.getUserInfo());
            mesProductionRecords.add(mesProductionRecord);
        });

        mesProductionRecordRepository.saveAll(mesProductionRecords);
        if (Objects.equal(CommonEnumUtil.TRUE_OR_FALSE.TRUE.getValue(),mesWorkCell.getIsCountFinish())) {
            // 保存班次加工数量上下文
            productionCustomContextStepService.addProductionStatisticsContext(reqBean,mesProduceSnContexts.size());
        }

        return execSuccessCompleteAndSendMsgReturn(reqBean, resultBean.writeDbLog(), stepResult, "生成加工记录成功");
  }
}
*/
